classification
Title: PRIVATE: various minor Tkinter things (PR#388)
Type: Stage:
Components: Tkinter Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: effbot, gvanrossum
Priority: normal Keywords:

Created on 2000-07-31 21:13 by anonymous, last changed 2000-10-06 00:39 by gvanrossum. This issue is now closed.

Messages (5)
msg373 - (view) Author: Nobody/Anonymous (nobody) Date: 2000-07-31 21:13
Jitterbug-Id: 388
Submitted-By: markus.oberhumer@jk.uni-linz.ac.at
Date: Wed,  5 Jul 2000 09:38:11 -0400 (EDT)
Version: python CVS
OS: all


Tkinter.Wm.wm_state() lacks a missing "newstate=None" optional parameter.

Tkinter.Text lacks some important methods: [xy]view_moveto, [xy]view_scroll

Canvas.CanvasItem & Canvas.Group:
  - bind lacks an optional "add" param
  - unbind lacks an optional "funcid" param
  - tkraise/lower should call self.canvas.tag_XXXX
  - bbox() return value is inconsistent with Canvas.bbox()



====================================================================
Audit trail:
Tue Jul 11 08:24:23 2000	guido	moved from incoming to open
msg374 - (view) Author: Fredrik Lundh (effbot) * (Python committer) Date: 2000-08-09 19:17
the first two items are fixed.  I'll look at the Canvas.py stuff later.
msg375 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2000-10-01 04:21
Later being when?
msg376 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2000-10-03 15:22
I'll do this so Fredrik can work on SRE.
msg377 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2000-10-06 00:39
Fixed the remaining items, *except* bbox() -- this would change the API and it's better not to break existing code.

I've marked this module as obsolete now; it really shouldn't be used for new projects! It's better to go directly with the Tkinter.Canvas class.
History
Date User Action Args
2000-07-31 21:13:10anonymouscreate